package com.choza.calendarsample;

import android.graphics.Color;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import com.syncfusion.calendar.CalendarEventCollection;
import com.syncfusion.calendar.CalendarInlineEvent;
import com.syncfusion.calendar.SfCalendar;


import java.util.ArrayList;
import java.util.Calendar;

public class MainActivity extends AppCompatActivity {

    SfCalendar sfCalendar;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        sfCalendar=new SfCalendar(this);

        CalendarInlineEvent  events = new CalendarInlineEvent();

        events.setColor(Color.RED);
        events.setSubject("Business meeting");

        //setting start time for the event
        Calendar startTime = Calendar.getInstance();
        startTime.set
                (
                        startTime.get(Calendar.YEAR),
                        startTime.get(Calendar.MONTH),
                        startTime.get(Calendar.DAY_OF_MONTH),
                        10,
                        0,
                        0
                );

        events.setStartTime(startTime);
        //setting end time for the event
        Calendar endTime = Calendar.getInstance();
        endTime.set
                (
                        endTime.get(Calendar.YEAR),
                        endTime.get(Calendar.MONTH),
                        endTime.get(Calendar.DAY_OF_MONTH),
                        12,
                        0,
                        0
                );

        events.setEndTime(endTime);

        CalendarEventCollection eventsCollection = new CalendarEventCollection();
        eventsCollection.add(events);
        sfCalendar.setDataSource(eventsCollection);
        setContentView(sfCalendar);
    }
}
